<?php

/**
 * Event-List
 */
$Locale = \QUI::getLocale();

$ChildrenList = new QUI\Controls\ChildrenList(array(
    'showTitle'       => false,
    'Site'            => $Site,
    'limit'           => $Site->getAttribute('eventList.settings.max'),
    'showContent'     => false,
    'itemtype'        => 'http://schema.org/ItemList',
    'child-itemtype'  => 'http://schema.org/ListItem',
    'display'         => $Site->getAttribute('eventList.settings.displayStyle'),
    'displayTemplate' => dirname(__FILE__) . '/eventListControlTemplate.html',
    'displayCss'      => dirname(__FILE__) . '/eventListControlTemplate.css',
    'months'          => array(
        $Locale->get('quiqqer/calendar-controls', 'month.01'),
        $Locale->get('quiqqer/calendar-controls', 'month.02'),
        $Locale->get('quiqqer/calendar-controls', 'month.03'),
        $Locale->get('quiqqer/calendar-controls', 'month.04'),
        $Locale->get('quiqqer/calendar-controls', 'month.05'),
        $Locale->get('quiqqer/calendar-controls', 'month.06'),
        $Locale->get('quiqqer/calendar-controls', 'month.07'),
        $Locale->get('quiqqer/calendar-controls', 'month.08'),
        $Locale->get('quiqqer/calendar-controls', 'month.09'),
        $Locale->get('quiqqer/calendar-controls', 'month.10'),
        $Locale->get('quiqqer/calendar-controls', 'month.11'),
        $Locale->get('quiqqer/calendar-controls', 'month.12'),
    ),
    'days'            => array(
        $Locale->get('quiqqer/calendar-controls', 'sunday'), // Week starts on sunday in america
        $Locale->get('quiqqer/calendar-controls', 'monday'),
        $Locale->get('quiqqer/calendar-controls', 'tuesday'),
        $Locale->get('quiqqer/calendar-controls', 'wednesday'),
        $Locale->get('quiqqer/calendar-controls', 'thursday'),
        $Locale->get('quiqqer/calendar-controls', 'friday'),
        $Locale->get('quiqqer/calendar-controls', 'saturday'),
    )
));

try {
    $ChildrenList->checkLimit();
} catch (QUI\Exception $Exception) {
    QUI\System\Log::addWarning($Exception->getMessage());
}

$Engine->assign(array(
    'ChildrenList' => $ChildrenList
));
